Get Audit Event

Get Audit Event
Get an audit event

Retrieve a specific audit event.

Request
URI
GET
https://api.example.local/v3/audit_events/{guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AuditEvent of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "type": "string",
    "actor": {
        "guid": "string",
        "type": "string",
        "name": "string"
    },
    "target": {
        "guid": "string",
        "type": "string",
        "name": "string"
    },
    "data": {},
    "space": {
        "guid": "string"
    },
    "organization": {
        "guid": "string"
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        }
    }
}

401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/audit_events/{guid}